import asyncio
import fabapi


async def main():
    session = await fabapi.connect("localhost", 59661, "Testuser", "secret")
    info = await session.machineSystem.info().a_wait()
    ma = await info.info.getMachineURN("urn:fabaccess:resource:Another").a_wait()
    print(ma)

if __name__ == "__main__":
    loop = asyncio.get_event_loop()
    loop.run_until_complete(main())
